<?php

// 圈子创建第一步
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_circle_new1.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$circleId = ParamUtil::getRequestNumber("circleId", 0);
$title = ParamUtil::getRequestString("title");//圈子名称
$needCheck = ParamUtil::getRequestBoolean("needCheck", false);//圈子名称
$longitude = ParamUtil::getRequestString("longitude");//用户位置的经度
$latitude = ParamUtil::getRequestString("latitude");//用户位置的纬度

$province = ParamUtil::getRequestString("province");
$city = ParamUtil::getRequestString("city");
$district = ParamUtil::getRequestString("district");

$result = array();

//参数检查
if(empty($unionId) || empty($circleId) || empty($title) || empty($longitude) || empty($latitude)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}


//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//圈子是否存在
$param = array();
$param['id'] = $circleId;
$param['owner_id'] = $userMst->id;
$param['delete_flg'] = false;
$circleDatList = CircleDat::getList($param,'id','desc', 0, 1);
if(empty($circleDatList)) {
	$result["message"] = "圈子不存在！";
	responseOK($result);
}

$circleDat = $circleDatList[0];

//编辑圈子
$circleDat->title = $title;
$circleDat->need_check = $needCheck;
$circleDat->longitude = $longitude;
$circleDat->latitude = $latitude;
$circleDat->province = $province;
$circleDat->city = $city;
$circleDat->district = $district;
$circleDat->owner_id = $userMst->id;
$circleDat->save();

//返回数据
$result["message"] = "编辑成功！";
$result["circleDat"] = $circleDat;
responseOK($result);

responseNG($result);

ErrorLogger::doOutput("Compass...ajax_circle_new1.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>